version: "3"
services:
  idarling_server:
    restart: always
    build: idarling_server
    volumes:
      - ./data:/server_data
    environment:
      - authmodes=chap pubkey
      - sslargs=--no-ssl
      - log_level=DEBUG
      - autosave_interval=1000
    ports:
      - "31013:31013"
  idarling_admin:
    restart: always
    build: idarling_admin
    ports:
      - "8000:8000"
    links:
      - idarling_server
    environment:
      - IDARLING_BACKEND_SERVER=http://idarling_server:56329
    depends_on:
      - idarling_server
